import java.util.*;

public class Project033 {
    
    public static void main(String[] args) {
        
        // Print Values of Answer enum
        System.out.format("Answer Values: %s\n", Arrays.toString(Answer.values()));
        
        // Print Values of MyColor enum
        System.out.format("MyColor Values: %s\n", Arrays.toString(MyColor.values()));
        
        // Get a Range (EnumSet) of MyColor enum
        EnumSet<MyColor> S = EnumSet.range(MyColor.Black, MyColor.Green);
        System.out.println("Values of EnumSet:");
        for (MyColor s:S) {
            System.out.format("    %s\n", s);
        }
        System.out.println("\n");
        
        // Parse a String into Answer enum
        Scanner input = new Scanner(System.in);
        System.out.print("Please enter a value (Yes/No): ");
        String str = input.next();
        Answer A = Answer.valueOf(str);
        System.out.format("Entry: %s\n", A);
        
    }
}

enum Answer {Yes, No}


